Package org.apache.sling.distribution.journal.impl.discovery

# Interface TopologyChangeHandler

All Known Implementing Classes:
  `PackageDistributedNotifier`

@ParametersAreNonnullByDefault public interface TopologyChangeHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`changed(TopologyViewDiff diffView)`
Invoked by the framework when the TopologyView has changed.

## Method Details

### changed

void changed(TopologyViewDiff diffView)
Invoked by the framework when the TopologyView has changed.

Parameters:
  `diffView` - the diff between the old and new topology views